Subject: Re: [PATCH] usb: add Freescale QE/CPM USB peripheral controllerdriver

From: David Brownell <[email-masked]>
Date: Wed, 24 Sep 2008 14:42:48 -0700

On Wednesday 24 September 2008, Joakim Tjernlund wrote:
> > > I see. If one wants to connect with CDC to Windows, what drivers are
> > > there for Windows that works well with Linux?
> > 
> > I believe MCCI has some.  It also has drivers for a CDC subset,
> > pretty much the same one Linux has used forever except wrapped
> > with a few extra descriptors to make it practical to identify
> > that "SAFE" (!) subset without needing vendor and product IDs.
> 
> Thanks, had a look and it seems like I have to buy these drives. I was
> hoping to find some free ones, do you know of such free drivers?

No, sorry.  Remember MSFT is somewhat rabidly anti-Free...

However, we'd be quite happy to have someone more attuned
to MS-Windows sort out the remaining issues in the Linux
support for RNDIS.  ;)

- Dave